#ifndef __KMWNEWCONFIG_H__
#define __KMWNEWCONFIG_H__

//KDE
#include <kfiledialog.h>
#include <kprocess.h>
#include <kdebug.h>
#include <kstandarddirs.h>
#include <kconfig.h>
#include <kapplication.h>
#include <klocale.h>

//Qt...
#include <qwidget.h>
#include <qcheckbox.h>
#include <qlineedit.h>
#include <qpushbutton.h>
#include <qcombobox.h>
#include <qdir.h>
#include <qfileinfo.h>
#include <qlabel.h>

//System...
#include <pwd.h>


#include "kmwcfgiface.h"

class KmwConfigurator : public KmwConfig
{
Q_OBJECT
public:
	KmwConfigurator(QWidget* parent=0, const char *name=0);
	~KmwConfigurator();

	 KConfig *config;
	 int themeID;
	 QString themeName;
	 bool startRefresh;
	 void statRefresh();
	 QString globalSillyFile;

public slots:
	void grabData();
	virtual void slotOk();
	virtual void slotCancel();
	virtual void slotLoadSillyFile();
	virtual void enableSilly();
signals:
	void sig_reload();
};

#endif

